%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%global srcname dict-sorted
%global modname sdict
%global eggname %(n=%{srcname}; echo ${n//-/.})

Name:           python-%{srcname}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Dictionaries sorted by key or by comparison function

License:        BSD
URL:            https://github.com/lukesneeringer/dict-sorted
Source0:        %{url}/archive/releases/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
Requires:       python2-six
%endif

%description -n python2-%{srcname}
%{summary}.

Python 2 version.

%if %{with python3}
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six

%description -n python3-%{srcname}
%{summary}.

Python 3 version.
%endif

%package doc
Summary:        Documentation for %{name}
BuildRequires:  python-sphinx

%description doc
%{summary}.

%prep
%autosetup -n %{srcname}-releases-%{version}

%build
%py2_build
%if %{with python3}
%py3_build
%endif
sphinx-build -W -b html -d docs/_build/.doctrees/ docs/ docs/_build/html/

%install
%py2_install
%if %{with python3}
%py3_install
%endif
rm -f docs/_build/html/.buildinfo

%check
%{__python2} test.py -v
%if %{with python3}
%{__python3} test.py -v
%endif

%files -n python2-%{srcname}
%license LICENSE
%{python2_sitelib}/%{eggname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%if %{with python3}
%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{eggname}-*.egg-info/
%{python3_sitelib}/%{modname}/
%endif

%files doc
%license LICENSE
%doc docs/_build/html

%changelog
* Fri Aug 26 2016 Igor Gnatenko - 1.0.0-1
- Initial package
